Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[Divers] Divers problèmes
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index French
View previous topic :: View next topic  
Author Message
Animatrix
Guru
Guru


Joined: 13 May 2006
Posts: 480
Location: France - Gard (30)

PostPosted: Mon May 15, 2006 9:11 pm    Post subject: [Divers] Divers problèmes Reply with quote

Bonjour à tous !!

Je débute avec Gentoo et ce n'est pas si simple.
Pour éviter de créer 50 sujets, je regroupe mes problèmes dans un seul :

- Est-ce qu'il est possible de modifier le serveur où il récupère els ficheirs, car il ne sont pas vraiment à jour... ?

- Quand je veux installer Gnome, une packetage que je veux installer, n'est plus dispo sur le serveur (erreur 404). Que faire ? Installer à part ou dire à emerge de ne pas so'ccuper de ce package ?

- Ma carte son n'est pas détecté, rien à faire avec alsaconf.
Pour info, elle est intégrée à ma carte mère et c'est une NVIDIA CK8S

- Une problème que j'ai du mal à comprendre :

J'ai installé xorg-x11 avec le driver proprio Nvidia.
Mais quand je fais un init 3 ou init 5, ca ne fait rien....

Quand je tape startx, je tombe sur un bureau relativement pas joli (gris et vert).
Si je tapes startx fluxbox, idem, je tombe sur l'ancien bureau !! et non sur fluxbox

J'ai essayé d'installer gdm, mais avec lui, il ne veut pas ouvrir les bureaux....


merci si vous pouvez m'aider
dsl ces questions sont c*ns pour vous, mais moi, je n'y arrive pas :(
Back to top
View user's profile Send private message
ryo-san
l33t
l33t


Joined: 17 Feb 2005
Posts: 729

PostPosted: Mon May 15, 2006 10:11 pm    Post subject: Re: [Divers] Divers problèmes Reply with quote

Animatrix wrote:
Bonjour à tous !!


Salut

Quote:
Je débute avec Gentoo et ce n'est pas si simple.


Mais si , t'inquiete, faut juste un peu de lecture et de discipline

Quote:
Pour éviter de créer 50 sujets, je regroupe mes problèmes dans un seul


Je ne sais pas si ca va passer :) , mais admettons...

Quote:
- Est-ce qu'il est possible de modifier le serveur où il récupère els ficheirs, car il ne sont pas vraiment à jour... ?


Bien sur , il suffit d'editer /etc/make.conf et changer la valeur de
Code:
GENTOO_MIRRORS
.

Quote:
- Quand je veux installer Gnome, une packetage que je veux installer, n'est plus dispo sur le serveur (erreur 404). Que faire ? Installer à part ou dire à emerge de ne pas so'ccuper de ce package ?


Non , ne pas l'ignorer, si portage le veut , il y a surement une raison, tu peux toujours tenter un
Code:
emerge --sync
dans un premier temps, ou changer le mirroir ( comme expliqué au-dessus ).

Quote:
- Ma carte son n'est pas détecté, rien à faire avec alsaconf.
Pour info, elle est intégrée à ma carte mère et c'est une NVIDIA CK8S


Connais pas mais qu'utilises-tu ? les drivers externes ou internes du kernel ?

Quote:
- Une problème que j'ai du mal à comprendre :

J'ai installé xorg-x11 avec le driver proprio Nvidia.
Mais quand je fais un init 3 ou init 5, ca ne fait rien....

Quand je tape startx, je tombe sur un bureau relativement pas joli (gris et vert).
Si je tapes startx fluxbox, idem, je tombe sur l'ancien bureau !! et non sur fluxbox

J'ai essayé d'installer gdm, mais avec lui, il ne veut pas ouvrir les bureaux....


C'est vrai que ca marche comme ca sous certaines distro, je ne sais meme pas si ca fonctionne sous gentoo j'ai jamais testé, a vrai dire ce n'est pas vraiment la bonne methode :

- soit tu edites /etc/rc.conf et tu complete la variable tout a la fin ( SESSION je crois )=> marche avec xdm ou startx.

- soit tu crée un .xsession dans ton home avec startfluxbox dedans pour se logguer avec xdm.

- Pour gdm ou kdm: ils utilisent des fichiers .desktop et selon le choix executent directement l'application.

- soit tu créé un .xinitrc dans ton home avec startfluxbox ou autre dedans ( ceci marche avec startx )


Quote:
merci si vous pouvez m'aider

pas de soucis

Quote:
dsl ces questions sont c*ns pour vous, mais moi, je n'y arrive pas :(

c'est en forgeant ...

PS: tu devrais editer ton titre selon les conventions en vigueur, genre [configuration] diverses questions...

re-PS: petite rectification, gdm et kdm utilisent bien des fichiers .desktop mais executent directement l'application en question, il faut chercher ces .desktop ( uniquement pour gdm ) dans
Code:

    *  /etc/X11/dm/Sessions
    * /usr/share/xsessions
    * /usr/X11R6/share/gnome/xsessions

a priori mais je ne peux confirmer ;)


Last edited by ryo-san on Tue May 16, 2006 2:06 pm; edited 1 time in total
Back to top
View user's profile Send private message
yuk159
Veteran
Veteran


Joined: 18 Apr 2003
Posts: 1801
Location: noumea ,nouvelle-caledonie

PostPosted: Tue May 16, 2006 2:14 am    Post subject: Reply with quote

Complement d'infos : ce que tu essay faire avec init ne fonctionne effectivement pas comme ça sur gentoo.
Tout dabord l'init, il y a quatre runlevels sur gentoo, qui sont : boot, default, nonetwork, single.
Code:

#ls -l /etc/runlevels/
total 0
drwxr-xr-x 2 root root 448 May 11 07:39 boot
drwxr-xr-x 2 root root 408 May 13 18:32 default
drwxr-xr-x 2 root root  72 Feb 14 11:04 nonetwork
drwxr-xr-x 2 root root  48 Feb 14 11:04 single

Tu peux passer de l'un à l'autre en tapant :
Code:

#rc boot

ou
Code:

#rc default

etc...

Mais le runlevel par default est... default ;)
Donc c'est la que tu rajoute la plupart des services, exemple pour gdm, le service qui s'occupe de ça est /etc/init.d/xdm.
Pour le démarrer à chaud :
Code:

#/etc/init.d/xdm start

pour l'ajouter au runlevel default pour qu'il démarre automatiquement :
Code:

#rc-update add xdm default

La configuration de /etc/init.d/xdm ce fait effectivement via /etc/rc.conf
Code:

# What display manager do you use ?  [ xdm | gdm | kdm | entrance ]
DISPLAYMANAGER="gdm"


voici une doc qui devrait t'aider : http://www.gentoo.org/doc/fr/gnome-config.xml
et plus généralement : http://www.gentoo.org/doc/fr/list.xml
_________________
The box said: "Requires Windows 98/2000/XP/NT, or better."
So, I installed LINUX!
un blog de plus :)
Back to top
View user's profile Send private message
Animatrix
Guru
Guru


Joined: 13 May 2006
Posts: 480
Location: France - Gard (30)

PostPosted: Tue May 16, 2006 4:38 am    Post subject: Reply with quote

Merci à vous deux pour vos réponses.
Pour un mirroir, pouvez-vous m'en indiquer un, car je n'en trouve pas ?

Pour le reste, je regarde ca ce soir :)
Back to top
View user's profile Send private message
yuk159
Veteran
Veteran


Joined: 18 Apr 2003
Posts: 1801
Location: noumea ,nouvelle-caledonie

PostPosted: Tue May 16, 2006 5:15 am    Post subject: Reply with quote

Regarde du coté de app-portage/mirrorselect tu pourra choisir tes miroirs mais je te conseil de faire une sauvegarde de ton /etc/make.conf, au cas ou... ;)
_________________
The box said: "Requires Windows 98/2000/XP/NT, or better."
So, I installed LINUX!
un blog de plus :)
Back to top
View user's profile Send private message
Animatrix
Guru
Guru


Joined: 13 May 2006
Posts: 480
Location: France - Gard (30)

PostPosted: Wed May 17, 2006 5:07 pm    Post subject: Reply with quote

Desole, je suis un peu en retard pour ma reponse....

Alors, j'ai tape emerge --sync, ca a pris beaucoup de temps (56k), et je me suis rendu compte qu'il y avait notamment kde 3.5.2
Le tout est que lorsque je tape emerge -s kde, il m'indique une version en 3.4.*. Comment faire pour prendre la 3.5.2. ?

Pour le probleme du fichier qui ne marchait pas, c'est resolu.


Pour le son, j'ai essaye le driver officiel, mais rien a faire......
Ma carte mere >> http://eu.dfi.com.tw/Product/xx_product_spec_details_r_fr.jsp?PRODUCT_ID=2840&CATEGORY_TYPE=MB&SITE=FR


J'ai reussi a faire tourner Xfce, le tout est qu'au demarrage j'ai cette erreur :

Impossible de corriger ce probleme. Cela va gener le bon fonctionnement de Xfce. Il est possible de corriger ce probleme en rajoutant linux au fichier /etc/hosts de votre systeme

Mon fichier ;

Quote:
# /etc/hosts: This file describes a number of hostname-to-address
# mappings for the TCP/IP subsystem. It is mostly
# used at boot time, when no name servers are running.
# On small systems, this file can be used instead of a
# "named" name server. Just add the names, addresses
# and any aliases to this file...
# $Header: /home/cvsroot/gentoo-src/rc-scripts/etc/hosts,v 1.8 2003/08/04 20:12:25 azarah Exp $
#

127.0.0.1 localhost
10.10.10.1 pitr-int
10.10.10.2 dustpuppy-int
10.10.10.3 poseidon-int
134.68.220.30 toucan
# IPV6 versions of localhost and co
::1 ip6-localhost ip6-loopback
fe00::0 ip6-localnet
ff00::0 ip6-mcastprefix
ff02::1 ip6-allnodes
ff02::2 ip6-allrouters
ff02::3 ip6-allhosts

Exactement que dois-je mettre svp ?


Pour la traduiction francaise de Gentoo :
- en mode texte j'ai des accents bizarres.....
- en mode graphique, c'est en anglais. Que faire (j'ai pourtant suivi le tuto)

Merci de votre aide
Back to top
View user's profile Send private message
PabOu
Veteran
Veteran


Joined: 11 Feb 2004
Posts: 1088
Location: Hélécine - Belgium

PostPosted: Wed May 17, 2006 7:52 pm    Post subject: Reply with quote

Animatrix wrote:
Alors, j'ai tape emerge --sync, ca a pris beaucoup de temps (56k), et je me suis rendu compte qu'il y avait notamment kde 3.5.2
Le tout est que lorsque je tape emerge -s kde, il m'indique une version en 3.4.*. Comment faire pour prendre la 3.5.2. ?

Il faut passer kde en ~ARCH (ou instable). Le problème est que KDE à surement plein de dépendances qui devront aussi passer en ~ARCH.
Tout d'abord, commence par faire un simple et normal
Code:
emerge -NuDav world

Ensuite, essaye cette ligne (remplace x86 si c'est pas ton ARCH) :
Code:
ACCEPT_KEYWORDS="~x86" emerge kde -upv

Il va te lister tous les paquets que tu vas devoir faire passer en ~ARCH. Tu le fais de cette façon pour chaque paquet (encore une fois tu modifies le x86 si il le faut) :
Code:
echo branche/programme ~x86 >> /etc/portage/package.keywords

Quand tu as ajouté ces paquets, tu peux faire un simple emerge -NuDav ;)

Animatrix wrote:
Impossible de corriger ce probleme. Cela va gener le bon fonctionnement de Xfce. Il est possible de corriger ce probleme en rajoutant linux au fichier /etc/hosts de votre systeme


Je ne suis pas sur, mais remplace la ligne
Code:
127.0.0.1   localhost
par
Code:
127.0.0.1   localhost   xxxyyyzzz

Ou xxxyyyzzz est le nom de ta machine (ce que te renvoie la commande hostname)
_________________
Mangez du poulet !
Back to top
View user's profile Send private message
Animatrix
Guru
Guru


Joined: 13 May 2006
Posts: 480
Location: France - Gard (30)

PostPosted: Wed May 17, 2006 8:11 pm    Post subject: Reply with quote

Pour le host, ca marche, merci

J'essaye pour KDe et je vous dit
Back to top
View user's profile Send private message
boozo
Advocate
Advocate


Joined: 01 Jul 2004
Posts: 3193

PostPosted: Wed May 17, 2006 8:18 pm    Post subject: Reply with quote

Quote:
10.10.10.1 pitr-int
10.10.10.2 dustpuppy-int
10.10.10.3 poseidon-int
134.68.220.30 toucan

hotes et domaine me semble utile si tu veux la résolution des noms :roll: (192.168.X.X <nom.domaine> <host_name>)

[edit] -dsl- j'avais pas vu que c'était ok
_________________
" Un psychotique, c'est quelqu'un qui croit dur comme fer que 2 et 2 font 5, et qui en est pleinement satisfait.
Un névrosé, c'est quelqu'un qui sait pertinemment que 2 et 2 font 4, et ça le rend malade ! "
Back to top
View user's profile Send private message
Animatrix
Guru
Guru


Joined: 13 May 2006
Posts: 480
Location: France - Gard (30)

PostPosted: Wed May 17, 2006 8:53 pm    Post subject: Reply with quote

Pour le son, je recompile mon kernel.
Apres le make install, j'obtiens ce message ;

Quote:
Kernel: arch/x86_64/boot/bzImage is ready (#5)
sh /usr/src/linux-2.6.15-gentoo-r5/arch/x86_64/boot/install.sh 2.6.15-gentoo-r5 arch/x86_64/boot/bzImage System.map "/boot"
In order to use the new kernel image you have just installed, you
will need to reboot the machine. First, however, you will need to
either make a bootable floppy diskette, re-run LILO, or have GRUB
installed.

Checking for ELILO...No

GRUB is installed. To automatically switch to new kernels, point your
default entry in menu.lst to /boot/arch/x86_64/boot/bzImage-2.6.15-gentoo-r5

Je ne vois pas exactement ce que je dois changer dans mon grub.conf. Pour l'instant, il ressemble a ;

title=Gentoo
root (hd0,0)
kernel /boot/kernel-genkernel-x86_64-2.6.15-gentoo-r5 root=/dev/ram0 init=/linuxrc ramdisk=8192 real_root=/dev/hda3 udev
initrd /boot/initramfs-genkernel-x86_64-2.6.15-gentoo-r5

Merci pr cette aide, car normalement le son devrait marcher.
Back to top
View user's profile Send private message
yuk159
Veteran
Veteran


Joined: 18 Apr 2003
Posts: 1801
Location: noumea ,nouvelle-caledonie

PostPosted: Wed May 17, 2006 9:33 pm    Post subject: Reply with quote

Je crois qu'il serait serais utile que tu fixe un problème à la fois et que tu poste au fur et à mesure, c'est pour cela qu'il est preférable d'avoir un thread par problème en général.
Tout cela pour obtenir aussi une aide la plus efficace possible, car la c'est un peu le bronx...

a+
_________________
The box said: "Requires Windows 98/2000/XP/NT, or better."
So, I installed LINUX!
un blog de plus :)
Back to top
View user's profile Send private message
Animatrix
Guru
Guru


Joined: 13 May 2006
Posts: 480
Location: France - Gard (30)

PostPosted: Thu May 18, 2006 5:00 am    Post subject: Reply with quote

yuk159 wrote:
Je crois qu'il serait serais utile que tu fixe un problème à la fois et que tu poste au fur et à mesure, c'est pour cela qu'il est preférable d'avoir un thread par problème en général.
Tout cela pour obtenir aussi une aide la plus efficace possible, car la c'est un peu le bronx...

a+

Daccord
Fermez donc ce sujet :wink:
Back to top
View user's profile Send private message
Animatrix
Guru
Guru


Joined: 13 May 2006
Posts: 480
Location: France - Gard (30)

PostPosted: Thu May 18, 2006 5:25 pm    Post subject: Reply with quote

PabOu wrote:
Animatrix wrote:
Alors, j'ai tape emerge --sync, ca a pris beaucoup de temps (56k), et je me suis rendu compte qu'il y avait notamment kde 3.5.2
Le tout est que lorsque je tape emerge -s kde, il m'indique une version en 3.4.*. Comment faire pour prendre la 3.5.2. ?

Il faut passer kde en ~ARCH (ou instable). Le problème est que KDE à surement plein de dépendances qui devront aussi passer en ~ARCH.
Tout d'abord, commence par faire un simple et normal
Code:
emerge -NuDav world

Ensuite, essaye cette ligne (remplace x86 si c'est pas ton ARCH) :
Code:
ACCEPT_KEYWORDS="~x86" emerge kde -upv

Il va te lister tous les paquets que tu vas devoir faire passer en ~ARCH. Tu le fais de cette façon pour chaque paquet (encore une fois tu modifies le x86 si il le faut) :
Code:
echo branche/programme ~x86 >> /etc/portage/package.keywords

Quand tu as ajouté ces paquets, tu peux faire un simple emerge -NuDav ;)

Animatrix wrote:
Impossible de corriger ce probleme. Cela va gener le bon fonctionnement de Xfce. Il est possible de corriger ce probleme en rajoutant linux au fichier /etc/hosts de votre systeme


Je ne suis pas sur, mais remplace la ligne
Code:
127.0.0.1   localhost
par
Code:
127.0.0.1   localhost   xxxyyyzzz

Ou xxxyyyzzz est le nom de ta machine (ce que te renvoie la commande hostname)

Pour la première commande, je tombe sur ce message :

Do you want me to merge these packages? [Yes/No]

Que dois-je faire ?
Back to top
View user's profile Send private message
kopp
Advocate
Advocate


Joined: 09 Apr 2004
Posts: 2885
Location: Grenoble, France

PostPosted: Thu May 18, 2006 5:41 pm    Post subject: Reply with quote

Eh bien, je ne sais pas.... peut-être répondre à la question posée ? j'suis certain que ça te fera avancer
Back to top
View user's profile Send private message
Animatrix
Guru
Guru


Joined: 13 May 2006
Posts: 480
Location: France - Gard (30)

PostPosted: Thu May 18, 2006 5:47 pm    Post subject: Reply with quote

kopp wrote:
Eh bien, je ne sais pas.... peut-être répondre à la question posée ? j'suis certain que ça te fera avancer

Oui, mais justement que répondre à cette question... ?

et le
Quote:
ACCEPT_KEYWORDS="~x86" emerge kde -upv

Dans quoi dois-je le taper ?
Back to top
View user's profile Send private message
kopp
Advocate
Advocate


Joined: 09 Apr 2004
Posts: 2885
Location: Grenoble, France

PostPosted: Thu May 18, 2006 5:57 pm    Post subject: Reply with quote

Bah, tu veux qu'il fasse quoi ? tu n'as pas compris le but de la commande, je te conseille de lire un peu de doc.

De plus, on t'a mal orienté, on ne fait plus de ACCEPT_KEYWORD="~x86" emerge blabla, on utilise le fichier package.keywords. Là encore je t'oriente vers la documentation officielle qui est très explicite (le Handbook)

SI tu as besoins de passer des dépendances de kde (me semble que c'est un meta paquet donc que ce sera nécessaire) Anigel à fourni une solution dans la section Documentation, truc et astuces. Fais une petite recherche.
Back to top
View user's profile Send private message
boozo
Advocate
Advocate


Joined: 01 Jul 2004
Posts: 3193

PostPosted: Thu May 18, 2006 6:12 pm    Post subject: Reply with quote

@ Kopp : non tu as mal lu... :P
Quote:
Ensuite, essaye cette ligne (remplace x86 si c'est pas ton ARCH) :
ACCEPT_KEYWORDS="~x86" emerge kde -upv
Il va te lister tous les paquets que tu vas devoir faire passer en ~ARCH.
Tu le fais de cette façon pour chaque paquet (encore une fois tu modifies le x86 si il le faut) :
echo branche/programme ~x86 >> /etc/portage/package.keywords
Quand tu as ajouté ces paquets, tu peux faire un simple emerge -NuDav


Sinon kde est la version monolithique pour les meta y'en a des spécifiques (ou un global kde-meta qui revient au même que le monolithique... c'est la même chose mais en différent :lol: )

BTW : + 1.10E3 pour la doc... là qd m^ 8O
_________________
" Un psychotique, c'est quelqu'un qui croit dur comme fer que 2 et 2 font 5, et qui en est pleinement satisfait.
Un névrosé, c'est quelqu'un qui sait pertinemment que 2 et 2 font 4, et ça le rend malade ! "
Back to top
View user's profile Send private message
kopp
Advocate
Advocate


Joined: 09 Apr 2004
Posts: 2885
Location: Grenoble, France

PostPosted: Thu May 18, 2006 6:25 pm    Post subject: Reply with quote

Oups, j'ai vu ACCEPT_KEYWORDS j'suis parti au quart de tour ;)
N'empêche, ça risquait de donner de mauvaises habitudes !
Tiens ça me dit les paquets, hop ok c'est bon, j'enlève le -p et c'est parti.
Enfin, vu la compréhension globale, y a peu de risque !

Sinon, merci d'avoir éclairer ma lanterne sur kde, j'suis pas trop au courant pour ce DM ;)
Back to top
View user's profile Send private message
PabOu
Veteran
Veteran


Joined: 11 Feb 2004
Posts: 1088
Location: Hélécine - Belgium

PostPosted: Sat May 20, 2006 2:31 pm    Post subject: Reply with quote

boozo : merci d'avoir éclairé kopp :)

kopp : Je suis moi-même contre l'utilisation du ACCEPT_KEYWORDS sans l'utilisation du -p ;) ici, le but était de pouvoir simplement lister les paquets dont KDE avait besoin de passer en ~ARCH, et franchement, je trouve ca plus simple de tout ajouter en une fois au package.keywords, plutot que d'essayer d'emerger kde 50fois, et d'ajouter un paquet à la fois au package.keywords, et ensuite réessayer.

Animatrix : oui, tu devrais relire la documentation pour savoir ce que fait cette commande et tout le reste (c'est la façon la plus sure d'apprendre, de comprendre, et cette habitude t'évitera des problèmes le jour où quelqu'un se trompera (volontairement ou pas)). Dans ce cas ci, tu dois dire "Yes" bien entendu, mais seulement après avoir analysé toutes les lignes qu'il à écrite avant ;) Si ca ne te convient pas, tu fais non, tu fais tout ce qu'il faut pour pallier au problème (ajouter un useflag global ou pas, masquer un paquet, etc...). Si tu dis YES, cela va mettre tout ton système à jour (tous les paquets listés).
_________________
Mangez du poulet !
Back to top
View user's profile Send private message
Animatrix
Guru
Guru


Joined: 13 May 2006
Posts: 480
Location: France - Gard (30)

PostPosted: Sat May 20, 2006 9:49 pm    Post subject: Reply with quote

Ok. Merci je vais essayer de le faire.


Pour KDE, j'ai un problème :

Il veut installer khotkey (3.5.1), et installe donc kdebase 3.5.1

je veux la 3.5.2, le tout est que si je masque khotkey et kdebase en versions 3.5.1 et bien l'installation ne veut pas marcher puisque kcontrol a besoin de khotkey 3.5.2.....

Que faire ?
Sur ma SuSE, l'installation sans khotkey marche....

Merci de votre aide :)
Back to top
View user's profile Send private message
PabOu
Veteran
Veteran


Joined: 11 Feb 2004
Posts: 1088
Location: Hélécine - Belgium

PostPosted: Sun May 21, 2006 11:30 am    Post subject: Reply with quote

Animatrix wrote:
Il veut installer khotkey (3.5.1), et installe donc kdebase 3.5.1

je veux la 3.5.2, le tout est que si je masque khotkey et kdebase en versions 3.5.1 et bien l'installation ne veut pas marcher puisque kcontrol a besoin de khotkey 3.5.2.....


Il ne faut pas masquer l'ancienne version, mais demasquer la nouvelle (utiliser la version non stable qu'on appelle ~ARCH).
Tu dois mettre ce que tu veux faire passer en ~ARCH dans le fichier /etc/portage/package.keywords (comme expliqué plus haut)
_________________
Mangez du poulet !
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index French All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum